CVE-2021-33833

NameCVE-2021-33833
DescriptionConnMan (aka Connection Manager) 1.30 through 1.39 has a stack-based buffer overflow in uncompress in dnsproxy.c via NAME, RDATA, or RDLENGTH (for A or AAAA).
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severityhigh
Debian Bugs989662

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
connman (PTS)stretch1.33-3+deb9u1vulnerable
stretch (security)1.33-3+deb9u2vulnerable
buster1.36-2.1~deb10u2fixed
buster (security)1.36-2.1~deb10u1vulnerable
bullseye, sid1.36-2.2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
connmansourcebuster1.36-2.1~deb10u2
connmansource(unstable)1.36-2.2989662

Notes

[stretch] - connman <no-dsa> (Minor issue)
https://www.openwall.com/lists/oss-security/2021/06/09/1
https://git.kernel.org/pub/scm/network/connman/connman.git/commit/?id=eceb2e8d2341c041df55a5e2f047d9a8c491463c

Search for package or bug name: Reporting problems